RHEL 5 : freeradius2 (RHSA-2012:1327)

Medium Nessus Plugin ID 62407


The remote Red Hat host is missing one or more security updates.


Updated freeradius2 packages that fix one security issue are now available for Red Hat Enterprise Linux 5.

The Red Hat Security Response Team has rated this update as having moderate security impact. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available from the CVE link in the References section.

FreeRADIUS is a high-performance and highly configurable free Remote Authentication Dial In User Service (RADIUS) server, designed to allow centralized authentication and authorization for a network.

A buffer overflow flaw was discovered in the way radiusd handled the expiration date field in X.509 client certificates. A remote attacker could possibly use this flaw to crash radiusd if it were configured to use the certificate or TLS tunnelled authentication methods (such as EAP-TLS, EAP-TTLS, and PEAP). (CVE-2012-3547)

Red Hat would like to thank Timo Warns of PRESENSE Technologies GmbH for reporting this issue.

Users of FreeRADIUS are advised to upgrade to these updated packages, which contain a backported patch to correct this issue. After installing the update, radiusd will be restarted automatically.


Update the affected packages.

See Also



Plugin Details

Severity: Medium

ID: 62407

File Name: redhat-RHSA-2012-1327.nasl

Version: $Revision: 1.11 $

Type: local

Agent: unix

Published: 2012/10/03

Modified: 2017/01/05

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:freeradius2, p-cpe:/a:redhat:enterprise_linux:freeradius2-debuginfo, p-cpe:/a:redhat:enterprise_linux:freeradius2-krb5, p-cpe:/a:redhat:enterprise_linux:freeradius2-ldap, p-cpe:/a:redhat:enterprise_linux:freeradius2-mysql, p-cpe:/a:redhat:enterprise_linux:freeradius2-perl, p-cpe:/a:redhat:enterprise_linux:freeradius2-postgresql, p-cpe:/a:redhat:enterprise_linux:freeradius2-python, p-cpe:/a:redhat:enterprise_linux:freeradius2-unixODBC, p-cpe:/a:redhat:enterprise_linux:freeradius2-utils, cpe:/o:redhat:enterprise_linux:5

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2012/10/02

Reference Information

CVE: CVE-2012-3547

BID: 55483

OSVDB: 85325

RHSA: 2012:1327